package wallet_test

import (
	"fmt"
	"testing"

	"gogs.uu.mdfitnesscao.com/hys/sdk"
	"gogs.uu.mdfitnesscao.com/hys/sdk/wallet"
)

func TestRegist(t *testing.T) {
	t.Run("test1", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  true,
		})
		pdfTemplates, err := wallet.Regist("RMzR6zvK")
		fmt.Println(pdfTemplates, err)
	})
}

func TestConsume(t *testing.T) {
	t.Run("test1", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  true,
		})
		pdfTemplates, err := wallet.Consume("RegistAAA", "RMzR6zvK", "M57wVRNZ", 1, 1, "")
		fmt.Println(pdfTemplates, err)
	})
}

func TestConsumeRollback(t *testing.T) {
	t.Run("test12", func(t *testing.T) {
		sdk.InitConfig(&sdk.ClientConfig{
			ApiDomain: "https://mcapi.mdfitnesscao.com",
			AppDebug:  true,
		})
		pdfTemplates, err := wallet.ConsumeRollback("RegistAAA", "")
		fmt.Println(pdfTemplates, err)
	})
}
